Up

# NSStepperCell

### Authors

Pierre-Yves Rivaille (`pyrivail@ens-lyon.fr`)

Copyright: (C) 2001 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSStepperCell class
2. Software documentation for the NSStepperCell(Private) category

# Software documentation for the NSStepperCell class

## NSStepperCell : NSActionCell

> Declared in:
>   AppKit/NSStepperCell.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_drawText:
- -downButtonRectWithFrame:
- -highlight:upButton:withFrame:inView:
- -upButtonRectWithFrame:
- -autorepeat
- -encodeWithCoder:
- -increment
- -initWithCoder:
- -maxValue
- -minValue
- -setAutorepeat:
- -setIncrement:
- -setMaxValue:
- -setMinValue:
- -setValueWraps:
- -valueWraps

### autorepeat

- (BOOL) autorepeat;

Description forthcoming.

### encodeWithCoder:

- (void) encodeWithCoder: (NSCoder*)aCoder;

Description forthcoming.

### increment

- (double) increment;

Description forthcoming.

### initWithCoder:

- (id) initWithCoder: (NSCoder*)aDecoder;

Description forthcoming.

### maxValue

- (double) maxValue;

Description forthcoming.

### minValue

- (double) minValue;

Description forthcoming.

### setAutorepeat:

- (void) setAutorepeat: (BOOL)autorepeat;

Description forthcoming.

### setIncrement:

- (void) setIncrement: (double)increment;

Description forthcoming.

### setMaxValue:

- (void) setMaxValue: (double)maxValue;

Description forthcoming.

### setMinValue:

- (void) setMinValue: (double)minValue;

Description forthcoming.

### setValueWraps:

- (void) setValueWraps: (BOOL)valueWraps;

Description forthcoming.

### valueWraps

- (BOOL) valueWraps;

Description forthcoming.

# Software documentation for the NSStepperCell(Private) category

## NSStepperCell(Private)

> Declared in:
>   AppKit/NSStepperCell.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Warning this category is private, which means that the methods are for internal use by the package. You should not use them in external code.

Method summary

- -_drawText:
- -downButtonRectWithFrame:
- -highlight:upButton:withFrame:inView:
- -upButtonRectWithFrame:

### _drawText:

- (void) _drawText: (NSRect)aRect;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### downButtonRectWithFrame:

- (NSRect) downButtonRectWithFrame: (NSRect)frame;

Description forthcoming.

### highlight:upButton:withFrame:inView:

- (void) highlight: (BOOL)highlight upButton: (BOOL)upButton withFrame: (NSRect)frame inView: (NSView*)controlView;

Description forthcoming.

### upButtonRectWithFrame:

- (NSRect) upButtonRectWithFrame: (NSRect)frame;

Description forthcoming.

Up